> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Export clickwrap agreements for date range

POST https://demo.docusign.net/clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/bulk_agreements
Content-Type: application/json

Starts an asynchronous process to export elastic template agreements
for a date range and status specified in the request body.

An email will be sent to the creator after it has been processed.

[Required authentication scopes](/docs/click-api/click101/auth/): `click.manage`

Reference: https://developers.docusign.com/docs/click-api/reference/accounts/clickwraps/createbulkclickwrapagreements

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://demo.docusign.net/clickapi` (Demo, default)
- `https://www.docusign.net/clickapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID GUID.
- `clickwrapId` (string, required) — The GUID of the elastic template.

### Body (application/json)

This endpoint expects a bulkClickwrapRequest.

- `fromDate` (BulkClickwrapRequestFromDate, optional) — The earliest date to return agreements from.
- `status` (string, optional) — User agreement status. One of: - `agreed` - `declined`
- `toDate` (BulkClickwrapRequestToDate, optional) — The latest date to return agreements from.

## Response

### 201

Successful response.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The error code.
- `message` (string, optional) — The error message.

## Types

### BulkClickwrapRequestFromDate

The earliest date to return agreements from.

### BulkClickwrapRequestToDate

The latest date to return agreements from.

## Examples

**Request**

```json
{}
```

**Response**

```json
{}
```